Health check
GET
/health
const url = 'https://example.com/health';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/healthReturns the health status of all infrastructure dependencies: database, Vault, and Redis. Returns HTTP 200 when all components are ok; HTTP 503 when any component is degraded.
Responses
Section titled “Responses”All components healthy
Media typeapplication/json
object
status
string
components
object
database
string
vault
string
redis
string
timestamp
string format: date-time
Example
{ "status": "ok", "components": { "database": "ok", "vault": "ok", "redis": "ok" }}One or more components degraded
Media typeapplication/json
object
status
string
components
object
database
string
vault
string
redis
string
timestamp
string format: date-time
Example
{ "status": "degraded", "components": { "database": "ok", "vault": "ok", "redis": "ok" }}